Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class ListItem

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.ListItem

public class ListItem
extends SinglePartElement

ListItems are added to a ListElement object (or an object from one of its subclasses, OrderedList, and UnorderedList) to build a list on an htmlKona page.

Version:
  2.1
Author:
  Copyright (c) 1995-96, WebLogic, Inc.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ListElement`, `DirList`, `MenuList`, `OrderedList`, `UnorderedList`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`ListItem()` Constructs a ListItem.
`ListItem(HtmlElement val)` Constructs a ListItem with the specified HtmlElement.
`ListItem(java.lang.String val)` Constructs a ListItem with the specified string.

Method Summary
`protected java.lang.String` | `getHtmlCode()`
`protected boolean` | `printCR()`
`protected boolean` | `printEndingTag()`
`ListItem` | `setType(java.lang.String listType)` Sets the list type for an OrderedList or an UnorderedList.
`ListItem` | `setValue(int value)` Sets the attribute for list VALUE to the specified int.
`ListItem` | `setValue(java.lang.String value)` Sets the attribute for list VALUE to the specified string.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListItem

    public ListItem()

  Constructs a ListItem.

### ListItem

    public ListItem(java.lang.String val)

  Constructs a ListItem with the specified string.

  Parameters:
    `val` - List item text

### ListItem

    public ListItem(HtmlElement val)

  Constructs a ListItem with the specified HtmlElement.

  Parameters:
    `val` - HtmlElement to be placed in a list

Method Detail

### setType

    public ListItem setType(java.lang.String listType)

  Sets the list type for an OrderedList or an UnorderedList. Valid constants for the argument "listType" are contained in the classes OrderedList and UnorderedList.

  Parameters:
    `listType` - Constant from OrderedList
  Returns:
    ListItem

### setValue

    public ListItem setValue(java.lang.String value)

  Sets the attribute for list VALUE to the specified string. This is valid only when the ListItem is an element in an OrderedList. Setting the value attribute for a ListItem changes the count for that list item and all subsequent items in the list.

  Parameters:
    `value` - Value for VALUE attribute
  Returns:
    ListItem

### setValue

    public ListItem setValue(int value)

  Sets the attribute for list VALUE to the specified int. This is valid only when the ListItem is an element in an OrderedList. Setting the value attribute for a ListItem changes the count for that list item and all subsequent items in the list.

  Parameters:
    `value` - Value for VALUE attribute
  Returns:
    ListItem

### printEndingTag

    protected boolean printEndingTag()

  Overrides:
    printEndingTag in class ElementWithAttributes

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Overrides:
    printCR in class ElementWithAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD